//
//  Cocoa_SR_Test.h
//  Cocoa_SR_Test
//
//  Created by Nao Tokui on 06/04/21.
//  Copyright 2006 Nao Tokui. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Cocoa_SR_Test : NSObject {
	NSString *sendChName, *receiveChName;
	IBOutlet NSSlider *slider;
	IBOutlet NSTextField *textField;
}

- (void) setSendChName: (NSString *) name;
- (NSString *) sendChName;

- (void) setReceiveChName: (NSString *) name;
- (NSString *) receiveChName;

- (IBAction) setSliderValue: (id) sender;
- (IBAction) setTextFieldValue: (id) sender;

- (void) sendNotification: (id) value withKey: (NSString *) key;
- (void) callbackWithNotification:(NSNotification *)myNotification;

- (void) sendString: (NSString *) str;
- (void) sendFloat: (float) number;
- (void) sendInteger: (int) number;

@end
